{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/forum_replies.css' %}">
{% endblock css %}
{% block title %}
Forum
{% endblock title %}
{% block content %}
<section id="forum-section" style="margin-top: 10px;">
    <!-- BOX FORUM CONTAINER -->
    <div class="main-box-container">
        {% for message in messages %}
        <div class="alert hidden" id="{{message.tags}}" value="{{message}}" role="alert">{{message}}</div>
        {% endfor %}
        <!-- MODAL -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Konfirmasi</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <p>Apakah anda yakin ingin menghapus balasan ini?</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Batalkan</button>
                        <button type="button" class="btn btn-primary" onclick="del()">Hapus</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- BOX -->
        <div class="forum-box">
            <!-- TOP -->
            <div class="box-top">
                <!-- TOPIC -->
                <div class="topic">
                    <div class="topic-link">
                        <a href="{% url 'forum:view-replies' id=idFilm idForum=idForum %}"><strong>{{ forum.topik }}</strong></a>
                    </div>
                </div>
                <!-- USERNAME -->
                <div id="profile">
                    <div id="user-name">
                        <span><em>started by: {{ forum.user.username }}</em></span>
                    </div>
                    <div id="tanggal">
                        <span><em>posted on: {{ forum.tanggal }}</em></span>
                    </div>
                </div>
            </div>
            <hr>
            <!-- ISI -->
            <div class="description">
                <p>{{ forum.topik }}</p>
            </div>
            <div class="button-reply">
                <a class="btn btn-outline-success btn-sm" href="{% url 'forum:forum_view' id=idFilm %}" type="button" role="button">Back</a>
                <a class="btn btn-outline-success btn-sm" value={{request.user}} onclick="showForm(this)" type="button" role="button">Reply</a>
            </div>
        </div>
    </div>
    <div class="box-replies-container">
        <div class="reply-title">
            <h2>Replies</h2>
        </div>
        <!-- REPLY -->
        {% for reply in replies %}
        <div class="reply-box">
            <!-- TOP -->
            <div class="box-top-reply">
                <!-- USERNAME -->
                <div id="profile-reply">
                    <div id="user-name-reply">
                        <span><em>user: {{ reply.user.username }}</em></span>
                    </div>
                    <div id="tanggal-reply">
                        <span><em>posted on: {{ reply.tanggal }}</em></span>
                    </div>
                </div>
            </div>
            <hr>
            <!-- ISI -->
            <div class="isi-reply">
                <p>{{ reply.isi }}</p>
            </div>
            {% if request.user.is_authenticated and request.user == reply.user %}
            <div class="button-del">
                <a data-bs-toggle="modal" id="del-btn" data-bs-target="#exampleModal" href="{% url 'forum:del-reply' id=reply.id %}">Hapus</a>
            </div>
            {% endif %}
        </div>
        {% endfor %}
        <div class="form-replies" id="form-reply">
            <div id="form-replies-wrapper" class="form-wrapper hidden">
                <div class="form-top">
                    <div id="title-form">
                        <h1>Reply</h1>
                    </div>
                </div>
                <hr>
                <div class="form-body">
                    <form id="form" method="POST" action="{% url 'forum:view-replies' id=idFilm idForum=idForum %}">
                        {% csrf_token %}
                        {% for field in form %}
                        <div class="form-field">
                            {{ field }}<br>
                            {% for error in field.errors %}
                            <small style="color:red;">{{error}}</small><br>
                            {% endfor %}
                        </div>
                        {% endfor %}
                        <div id="button-form">
                            <button class="btn btn-outline-secondary btn-sm" value="submit" type="submit"> Submit</button>
                            <a class="btn btn-danger btn-sm" id="cancel-reply" onclick="myFunction()">Cancel</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="back-top">
            <button type="button" class="btn btn-danger btn-floating btn-lg" id="myBtn" onclick="backToTop()">
                <i class="fas fa-arrow-up"></i>
            </button>
        </div>
    </div>
</section>
{% endblock content %}
{% block script %}
<!-- <script type="text/javascript">

            $(function() {
                
                setTimeout(function() {
                    $.bootstrapGrowl("Danger, Danger!", {
                        type: 'danger',
                        align: 'center',
                        width: 'auto',
                        allow_dismiss: false
                    });
                }, 2000);
                
            });

        </script> -->
<script>
let mybutton = document.getElementById("myBtn");

// When the user scrolls down 20px from the top of the document, show the button
window.onscroll = function() {
    scrollFunction();
};

function scrollFunction() {
    if (
        document.body.scrollTop > 20 ||
        document.documentElement.scrollTop > 20
    ) {
        mybutton.style.display = "block";
    } else {
        mybutton.style.display = "none";

    }
}
// When the user clicks on the button, scroll to the top of the document
mybutton.addEventListener("click", backToTop);

function backToTop() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
    setTimeout(() => {
        hideForm();
    }, 500);
}



function myFunction() {
    if (confirm("Are you sure want to cancel?")) {
        backToTop();
    }
}


function showForm(e) {
    let wrapper = document.getElementById("form-replies-wrapper");
    user = e.getAttribute("value")
    if (user != "AnonymousUser") {
        wrapper.classList.remove("hidden");
        document.getElementById("form-reply").scrollIntoView();
    }
    else{
       alertUser()
    }
}

function alertUser() {
    setTimeout(function() {
        $.bootstrapGrowl("Please Log In", {
            type: "danger",
            align: 'center',
            width: 'auto',
            allow_dismiss: false
        })
    }, 1000)

}

function hideForm() {
    let wrapper = document.getElementById("form-replies-wrapper");
    wrapper.classList.add("hidden");
}


function del() {
    let btn = document.getElementById("del-btn")

    window.location.href = btn.getAttribute("href")
}
</script>
{% endblock script %}